<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>PersistenceFactory.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">ProyectoArquitectura</a> &gt; <a href="index.source.html" class="el_package">constructors</a> &gt; <span class="el_source">PersistenceFactory.java</span></div><h1>PersistenceFactory.java</h1><pre class="source lang-java linenums">package constructors;

import Persistence.*;
import Persistence.IDataPersistence;

<span class="fc" id="L6">public class PersistenceFactory {</span>

	public IDataPersistence changePersistence(String type) {
<span class="fc" id="L9">		IDataPersistence persistenceType = null;</span>
<span class="fc bfc" id="L10" title="All 2 branches covered.">		if (&quot;SQL_PERSISTENCE&quot;.equals(type)) </span>
<span class="fc" id="L11">			persistenceType = new FileSQL();</span>
<span class="fc bfc" id="L12" title="All 2 branches covered.">        if (&quot;SERIALIZATED_PERSISTENCE&quot;.equals(type)) </span>
<span class="fc" id="L13">        	persistenceType = new FileTxt();	</span>
<span class="fc" id="L14">        return persistenceType;</span>
	}
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.3.201901230119</span></div></body></html>